OCAMLMKTOP(1)

NAME
ocamlmktop - Building custom toplevel systems

SYNOPSIS
ocamlmktop [ -v ] [ -cclib libname ] [ -ccopt option ] [ -custom [ -o exec-file ] [ -I lib-dir ] filename ...

DESCRIPTION
The ocamlmktop(1) command builds Objective Caml toplevels that contain user code preloaded at start-up. The ocamlmktop(1) command takes as argument a set of x.cmo and x.cma files, and links them with the object files that implement the Objective Caml toplevel. If the -custom flag is given, C object files and libraries (.o and .a files) can also be given on the command line and are linked in the resulting toplevel.

OPTIONS
The following command-line options are recognized by ocamlmktop(1).

-v  Print the version number of the compiler.

-cclib -llibname
    Pass the -llibname option to the C linker when linking in ``custom runtime'' mode (see the corresponding option for ocamlc(1).

-ccopt
    Pass the given option to the C compiler and linker, when linking in ``custom runtime'' mode. See the corresponding option for ocamlc(1).

-custom
    Link in ``custom runtime'' mode. See the corresponding option for ocamlc(1).

-Idirectory
    Add the given directory to the list of directories searched for compiled interface files (.cmo and .cma).

-o exec-file
    Specify the name of the toplevel file produced by the linker. The default is is a.out.

SEE ALSO
ocamlc(1).